import { Repository } from "typeorm";
import { Page } from "../../common/page/page.entity";
import { CreatePageDto, UpdatePageDto, UpdateStatusDto } from "./admin.page.dto";
export declare class AdminPageService {
    private readonly pagesRepository;
    constructor(pagesRepository: Repository<Page>);
    create(createPageDto: CreatePageDto): Promise<Page>;
    findAll(): Promise<Page[]>;
    findOne(id: number): Promise<Page>;
    update(id: number, updatePageDto: UpdatePageDto): Promise<Page>;
    remove(id: number): Promise<void>;
    updateStatus(id: number, status: UpdateStatusDto): Promise<Page>;
}
